diff --git a/tests/test_generic_endpoint.py b/tests/test_generic_endpoint.py
index aba83252..7d5327b2 100644
--- a/tests/test_generic_endpoint.py
+++ b/tests/test_generic_endpoint.py
@@ -25,11 +25,10 @@ import warnings
 
 import mock
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.api_particulier.models import APIParticulier
 from passerelle.apps.arcgis.models import ArcGIS
 from passerelle.apps.mdel.models import MDEL
@@ -43,16 +42,17 @@ from passerelle.base.models import (
 )
 from passerelle.contrib.stub_invoices.models import StubInvoicesConnector
 from passerelle.utils.api import endpoint
+from tests.test_manager import login
 
 
 @pytest.fixture
 def mdel(db):
-    return utils.setup_access_rights(MDEL.objects.create(slug='test'))
+    return tests.utils.setup_access_rights(MDEL.objects.create(slug='test'))
 
 
 @pytest.fixture
 def arcgis(db):
-    instance = utils.setup_access_rights(ArcGIS.objects.create(slug='test'))
+    instance = tests.utils.setup_access_rights(ArcGIS.objects.create(slug='test'))
     instance.set_log_level('DEBUG')
     return instance
 
@@ -91,7 +91,7 @@ def test_generic_payload_logging(caplog, app, mdel):
 @mock.patch('passerelle.utils.Request.get')
 def test_proxy_logger(mocked_get, caplog, app, arcgis):
     payload = open(os.path.join(os.path.dirname(__file__), 'data', 'nancy_arcgis', 'sigresponse.json')).read()
-    mocked_get.return_value = utils.FakedResponse(content=payload, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=payload, status_code=200)
 
     # simple logger
     arcgis.log_evel = 'DEBUG'
@@ -169,7 +169,7 @@ def test_proxy_logger(mocked_get, caplog, app, arcgis):
 @mock.patch('requests.Session.send')
 def test_proxy_logger_transaction_id(mocked_send, app, arcgis):
     payload = open(os.path.join(os.path.dirname(__file__), 'data', 'nancy_arcgis', 'sigresponse.json')).read()
-    mocked_send.return_value = utils.FakedResponse(content=payload, status_code=200)
+    mocked_send.return_value = tests.utils.FakedResponse(content=payload, status_code=200)
     arcgis.log_evel = 'DEBUG'
     arcgis.base_url = 'https://example.net/'
     arcgis.save()
@@ -185,7 +185,7 @@ def test_proxy_logger_transaction_id(mocked_send, app, arcgis):
 
 @mock.patch('passerelle.utils.Request.patch')
 def test_proxy_logger_on_405(mocked_patch, caplog, app, arcgis):
-    mocked_patch.return_value = utils.FakedResponse(status_code=500)
+    mocked_patch.return_value = tests.utils.FakedResponse(status_code=500)
 
     # simple logger
     arcgis.log_evel = 'WARNING'
@@ -716,7 +716,9 @@ def test_https_warnings(app, db, monkeypatch, httpbin_secure, relax_openssl):
 
     from passerelle.apps.arcgis.models import ArcGIS
 
-    resource = utils.make_resource(ArcGIS, base_url='https://example.com/', slug='gis', verify_cert=True)
+    resource = tests.utils.make_resource(
+        ArcGIS, base_url='https://example.com/', slug='gis', verify_cert=True
+    )
     with pytest.raises(SSLError):
         resource.requests.get(httpbin_secure.join('/get/'))
     resource.verify_cert = False
@@ -1030,7 +1032,7 @@ def test_generic_up_in_endpoints_ordering(db, app, connector_class, expected_ord
 
 
 def test_response_schema(db, app):
-    utils.make_resource(APIParticulier, slug='test', platform='test', api_key='xxx')
+    tests.utils.make_resource(APIParticulier, slug='test', platform='test', api_key='xxx')
     response = app.get('/api-particulier/test/')
     assert 'nombrePersonnesCharge' in response
 
diff --git a/tests/test_gesbac.py b/tests/test_gesbac.py
index 8d27665a..63fe5a15 100644
--- a/tests/test_gesbac.py
+++ b/tests/test_gesbac.py
@@ -21,10 +21,10 @@ import datetime
 import pytest
 from django.utils.encoding import force_bytes, force_str, force_text
 from django.utils.timezone import now
-from utils import make_resource
 
 from passerelle.apps.gesbac.models import Form, Gesbac
 from passerelle.utils import SFTP
+from tests.utils import make_resource
 
 
 @pytest.fixture
diff --git a/tests/test_greco.py b/tests/test_greco.py
index e7ebbc59..cb6c6a20 100644
--- a/tests/test_greco.py
+++ b/tests/test_greco.py
@@ -20,11 +20,11 @@ from base64 import b64encode
 
 import mock
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.encoding import force_str
 
+import tests.utils
 from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.greco.models import Greco
 
@@ -46,19 +46,19 @@ def get_json_file(filename):
 
 
 def fake_xml_response(basename):
-    return utils.FakedResponse(
+    return tests.utils.FakedResponse(
         content=get_xml_file(basename),
         status_code=200,
         headers={'Content-Type': 'text/xml'},
     )
 
 
-TOKEN = utils.FakedResponse(
+TOKEN = tests.utils.FakedResponse(
     content=get_json_file('token'),
     status_code=200,
     headers={'Content-Type': 'application/json'},
 )
-RESP_503 = utils.FakedResponse(content='Service Unavailable', status_code=503)
+RESP_503 = tests.utils.FakedResponse(content='Service Unavailable', status_code=503)
 PING = fake_xml_response('ping')
 CREATE_OK = fake_xml_response('create_ok')
 CREATE_KO = fake_xml_response('create_ko')
diff --git a/tests/test_grenoble_gru.py b/tests/test_grenoble_gru.py
index 3bbe7a58..7dc9ba3d 100644
--- a/tests/test_grenoble_gru.py
+++ b/tests/test_grenoble_gru.py
@@ -21,15 +21,15 @@ import os
 import mock
 import pytest
 import six
-import utils
 from django.urls import reverse
 
+import tests.utils
 from passerelle.contrib.grenoble_gru.models import GrenobleGRU
 
 
 @pytest.fixture
 def setup(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         GrenobleGRU.objects.create(slug='test', base_url='https://itvvoirie-test.lametro.fr')
     )
 
@@ -120,7 +120,7 @@ Création de la demande via le webService de la commune de Grenoble
 @pytest.fixture(params=['01', '02', '10', '20', '21', '23', '4242'])
 def remote_response(request):
     text = six.text_type(request.param)
-    return utils.FakedResponse(index=request.param_index, text=text)
+    return tests.utils.FakedResponse(index=request.param_index, text=text)
 
 
 def test_contact_mode_typologies_list_with_invalid_xml(app, setup):
diff --git a/tests/test_isere_ens.py b/tests/test_isere_ens.py
index cb6e1303..7e84b161 100644
--- a/tests/test_isere_ens.py
+++ b/tests/test_isere_ens.py
@@ -21,16 +21,16 @@ import os
 
 import mock
 import pytest
-import utils
 from django.urls import reverse
 
+import tests.utils
 from passerelle.contrib.isere_ens.models import API_VERSION, IsereENS
 from passerelle.utils.jsonresponse import APIError
 
 
 @pytest.fixture
 def setup(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         IsereENS.objects.create(slug="test", base_url="https://ens38.example.net/", token="toktok")
     )
 
@@ -148,7 +148,7 @@ API_VERSIONS = [vers[1] for vers in API_VERSION]
 def test_get_sites(mocked_get, app, setup, api_version):
     setup.api_version = api_version
     setup.save()
-    mocked_get.return_value = utils.FakedResponse(content=SITES_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=SITES_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={"connector": "isere-ens", "slug": setup.slug, "endpoint": "sites"},
@@ -176,7 +176,7 @@ def test_get_sites(mocked_get, app, setup, api_version):
     response = app.get(endpoint + "?kind=social")
     assert len(response.json["data"]) == 2
 
-    mocked_get.return_value = utils.FakedResponse(content=SD29B_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=SD29B_RESPONSE, status_code=200)
     response = app.get(endpoint + "?id=SD29b")
     assert mocked_get.call_args[0][0].endswith("api/" + api_version + "/site/SD29b")
     assert len(response.json["data"]) == 1
@@ -184,7 +184,7 @@ def test_get_sites(mocked_get, app, setup, api_version):
     assert response.json["data"][0]["dogs"] == "LEASH"
 
     # bad response for ENS API
-    mocked_get.return_value = utils.FakedResponse(content=SITE_404_RESPONSE, status_code=404)
+    mocked_get.return_value = tests.utils.FakedResponse(content=SITE_404_RESPONSE, status_code=404)
     response = app.get(endpoint + "?id=SD29x")
     assert mocked_get.call_args[0][0].endswith("api/" + api_version + "/site/SD29x")
     assert response.json["err"] == 1
@@ -192,7 +192,7 @@ def test_get_sites(mocked_get, app, setup, api_version):
     assert response.json["err_desc"].startswith("error status:404")
     assert response.json["data"]["status_code"] == 404
     assert response.json["data"]["json_content"]["message"] == "Site not found with code SD29x"
-    mocked_get.return_value = utils.FakedResponse(content="crash", status_code=500)
+    mocked_get.return_value = tests.utils.FakedResponse(content="crash", status_code=500)
     response = app.get(endpoint + "?id=foo500")
     assert mocked_get.call_args[0][0].endswith("api/" + api_version + "/site/foo500")
     assert response.json["err"] == 1
@@ -200,13 +200,13 @@ def test_get_sites(mocked_get, app, setup, api_version):
     assert response.json["err_class"].endswith("APIError")
     assert response.json["data"]["status_code"] == 500
     assert response.json["data"]["json_content"] is None
-    mocked_get.return_value = utils.FakedResponse(content=None, status_code=204)
+    mocked_get.return_value = tests.utils.FakedResponse(content=None, status_code=204)
     response = app.get(endpoint + "?id=foo204")
     assert mocked_get.call_args[0][0].endswith("api/" + api_version + "/site/foo204")
     assert response.json["err"] == 1
     assert response.json["err_class"].endswith("APIError")
     assert response.json["err_desc"] == "abnormal empty response"
-    mocked_get.return_value = utils.FakedResponse(content="not json", status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content="not json", status_code=200)
     response = app.get(endpoint + "?id=foo")
     assert mocked_get.call_args[0][0].endswith("api/" + api_version + "/site/foo")
     assert response.json["err"] == 1
@@ -219,7 +219,7 @@ def test_get_sites(mocked_get, app, setup, api_version):
 def test_get_animators(mocked_get, app, setup, api_version):
     setup.api_version = api_version
     setup.save()
-    mocked_get.return_value = utils.FakedResponse(content=ANIMATORS_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=ANIMATORS_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={"connector": "isere-ens", "slug": setup.slug, "endpoint": "animators"},
@@ -256,7 +256,7 @@ def test_get_site_calendar(mocked_get, app, setup, freezer, api_version):
     setup.api_version = api_version
     setup.save()
     freezer.move_to("2021-01-21 12:00:00")
-    mocked_get.return_value = utils.FakedResponse(content=SITE_CALENDAR_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=SITE_CALENDAR_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={
@@ -309,7 +309,7 @@ def test_get_site_calendar(mocked_get, app, setup, freezer, api_version):
 
 @mock.patch("passerelle.utils.Request.post")
 def test_post_book_v1(mocked_post, app, setup):
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={
@@ -350,14 +350,14 @@ def test_post_book_v1(mocked_post, app, setup):
     assert response.json["err"] == 0
     assert response.json["data"]["status"] == "BOOKING"
 
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE_OVERBOOKING, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE_OVERBOOKING, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert mocked_post.call_count == 2
     assert response.json["err"] == 0
     assert response.json["data"]["status"] == "OVERBOOKING"
 
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE_REFUSED, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE_REFUSED, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert mocked_post.call_count == 3
@@ -366,7 +366,7 @@ def test_post_book_v1(mocked_post, app, setup):
     assert response.json["err_desc"] == "booking status is REFUSED"
     assert response.json["data"]["status"] == "REFUSED"
 
-    mocked_post.return_value = utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert mocked_post.call_count == 4
@@ -375,7 +375,7 @@ def test_post_book_v1(mocked_post, app, setup):
     assert response.json["err_desc"] == "response is not a dict"
     assert response.json["data"] == ["not", "a", "dict"]
 
-    mocked_post.return_value = utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert mocked_post.call_count == 5
@@ -385,7 +385,7 @@ def test_post_book_v1(mocked_post, app, setup):
     assert response.json["data"] == {"foo": "bar"}
 
     book["animator"] = ""
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert 'schoolAnimator' not in mocked_post.call_args.kwargs['json']['booking']
@@ -394,7 +394,7 @@ def test_post_book_v1(mocked_post, app, setup):
     assert response.json["data"]["status"] == "BOOKING"
 
     del book["animator"]
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/1.0.0/booking")
     assert 'schoolAnimator' not in mocked_post.call_args.kwargs['json']['booking']
@@ -414,7 +414,7 @@ def test_post_book_v1(mocked_post, app, setup):
 def test_post_book(mocked_post, app, setup, api_version):
     setup.api_version = api_version
     setup.save()
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={
@@ -460,14 +460,14 @@ def test_post_book(mocked_post, app, setup, api_version):
     assert mocked_post.call_args.kwargs['json']['projectCode'] == 'pc'
     assert response.json["err"] == 0
 
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE_OVERBOOKING, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE_OVERBOOKING, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert mocked_post.call_count == 3
     assert response.json["err"] == 0
     assert response.json["data"]["status"] == "OVERBOOKING"
 
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE_REFUSED, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE_REFUSED, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert mocked_post.call_count == 4
@@ -476,7 +476,7 @@ def test_post_book(mocked_post, app, setup, api_version):
     assert response.json["err_desc"] == "booking status is REFUSED"
     assert response.json["data"]["status"] == "REFUSED"
 
-    mocked_post.return_value = utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert mocked_post.call_count == 5
@@ -485,7 +485,7 @@ def test_post_book(mocked_post, app, setup, api_version):
     assert response.json["err_desc"] == "response is not a dict"
     assert response.json["data"] == ["not", "a", "dict"]
 
-    mocked_post.return_value = utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert mocked_post.call_count == 6
@@ -495,7 +495,7 @@ def test_post_book(mocked_post, app, setup, api_version):
     assert response.json["data"] == {"foo": "bar"}
 
     book["animator"] = ""
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert 'schoolAnimator' not in mocked_post.call_args.kwargs['json']
@@ -504,7 +504,7 @@ def test_post_book(mocked_post, app, setup, api_version):
     assert response.json["data"]["status"] == "BOOKING"
 
     del book["animator"]
-    mocked_post.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     response = app.post_json(endpoint, params=book)
     assert mocked_post.call_args[0][0].endswith("api/" + api_version + "/site/booking/school")
     assert 'schoolAnimator' not in mocked_post.call_args.kwargs['json']
@@ -557,7 +557,7 @@ def test_get_booking_status(mocked_get, app, setup, api_version):
         },
     )
 
-    mocked_get.return_value = utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=BOOK_RESPONSE, status_code=200)
     response = app.get(endpoint + "?code=123")
     if api_version == '1.0.0':
         assert mocked_get.call_args[0][0].endswith("api/1.0.0/booking/123/status")
@@ -570,7 +570,7 @@ def test_get_booking_status(mocked_get, app, setup, api_version):
     response = app.get(endpoint, status=400)  # no code specified
     assert mocked_get.call_count == 1
 
-    mocked_get.return_value = utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
     response = app.get(endpoint + "?code=123")
     assert mocked_get.call_count == 2
     assert response.json["err"] == 1
@@ -578,7 +578,7 @@ def test_get_booking_status(mocked_get, app, setup, api_version):
     assert response.json["err_desc"] == "response is not a dict"
     assert response.json["data"] == ["not", "a", "dict"]
 
-    mocked_get.return_value = utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
     response = app.get(endpoint + "?code=123")
     assert mocked_get.call_count == 3
     assert response.json["err"] == 1
@@ -600,7 +600,7 @@ def test_cancel_booking(mocked_post, app, setup, api_version):
             "endpoint": "cancel-site-booking",
         },
     )
-    mocked_post.return_value = utils.FakedResponse(content=CANCEL_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=CANCEL_RESPONSE, status_code=200)
     response = app.delete(endpoint + "?code=123")
     if api_version == '1.0.0':
         assert response.json["err"] == 1
@@ -626,7 +626,7 @@ def test_cancel_booking(mocked_post, app, setup, api_version):
     response = app.get(endpoint, status=400)  # no code specified
     assert mocked_post.call_count == 3  # same as before
 
-    mocked_post.return_value = utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""["not", "a", "dict"]""", status_code=200)
     response = app.get(endpoint + "?code=123")
     assert mocked_post.call_count == 4
     assert response.json["err"] == 1
@@ -634,7 +634,7 @@ def test_cancel_booking(mocked_post, app, setup, api_version):
     assert response.json["err_desc"] == "response is not a dict"
     assert response.json["data"] == ["not", "a", "dict"]
 
-    mocked_post.return_value = utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content="""{"foo": "bar"}""", status_code=200)
     response = app.get(endpoint + "?code=123")
     assert mocked_post.call_count == 5
     assert response.json["err"] == 1
diff --git a/tests/test_jobs.py b/tests/test_jobs.py
index ebe5d504..10e6edb7 100644
--- a/tests/test_jobs.py
+++ b/tests/test_jobs.py
@@ -6,12 +6,12 @@ import os
 import isodate
 import mock
 import pytest
-import utils
 from django.core.management import call_command
-from test_base_adresse import StreetModel, base_adresse
 
+import tests.utils
 from passerelle.base.models import Job, ResourceLog, SkipJob
 from passerelle.utils.jsonresponse import APIError
+from tests.test_base_adresse import StreetModel, base_adresse
 
 
 @mock.patch('passerelle.utils.Request.get')
@@ -19,7 +19,7 @@ def test_jobs(mocked_get, app, base_adresse, freezer):
     Job.objects.all().delete()  # remove jobs automatically added at connector creation
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
 
     freezer.move_to('2019-01-01 00:00:00')
     job = base_adresse.add_job('update_streets_data')
@@ -30,7 +30,7 @@ def test_jobs(mocked_get, app, base_adresse, freezer):
     assert StreetModel.objects.count() == 3
 
     # don't delete streets if bano file is empty
-    mocked_get.return_value = utils.FakedResponse(content=b'', status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=b'', status_code=200)
     freezer.move_to('2019-01-01 12:00:00')
     job = base_adresse.add_job('update_streets_data')
     assert job.status == 'registered'
@@ -45,7 +45,7 @@ def test_jobs(mocked_get, app, base_adresse, freezer):
     assert StreetModel.objects.count() == 3
 
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
 
     StreetModel.objects.all().delete()
 
@@ -138,7 +138,7 @@ def test_jobs(mocked_get, app, base_adresse, freezer):
     with mock.patch('passerelle.apps.base_adresse.models.BaseAdresse.down') as down:
         down.side_effect = lambda: True
         with open(filepath, 'rb') as ban_file:
-            mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+            mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
         job = base_adresse.add_job('update_streets_data')
         assert job.status == 'registered'
 
@@ -150,7 +150,7 @@ def test_jobs(mocked_get, app, base_adresse, freezer):
 def test_runjob(mocked_get, app, base_adresse, freezer):
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
 
     freezer.move_to('2019-01-01 00:00:00')
     job = base_adresse.add_job('update_streets_data')
@@ -166,7 +166,7 @@ def test_jobs_api_error_log_level(mocked_get, app, base_adresse, freezer):
     Job.objects.all().delete()  # remove jobs automatically added at connector creation
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
 
     job = base_adresse.add_job('update_streets_data')
     mocked_get.side_effect = Exception('hello')
diff --git a/tests/test_jsonresponse.py b/tests/test_jsonresponse.py
index 124d6b1f..695db56e 100644
--- a/tests/test_jsonresponse.py
+++ b/tests/test_jsonresponse.py
@@ -139,7 +139,7 @@ def test_jsonresponse_error_header():
     assert 'err_class' in data
     assert 'err' in data
     assert data['err'] == 1
-    assert data['err_class'] == 'test_jsonresponse.CustomException'
+    assert data['err_class'] == 'tests.test_jsonresponse.CustomException'
     assert result.status_code == 200
 
 
